curl --request GET \
--url https://{base_url_domain}/api/global/v1/shipping/retailers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/retailers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url_domain}/api/global/v1/shipping/retailers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "Retailer",
"id": 123,
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"merchant": {
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
},
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": [
"fedex_FEDEX_GROUND",
"ups_GND"
],
"default_tpb_group_id": 5,
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
},
"included": {
"Merchant": [
{
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
}
],
"Retailer": [
{
"type": "Retailer",
"id": 123,
"code": "walmart",
"name": "Walmart",
"status": "active",
"fulfillment_model": "wholesale",
"merchant": {
"type": "Merchant",
"id": 4,
"code": "acme_inc",
"name": "ACME Inc.",
"status": "active",
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z",
"brands": [
{
"type": "Brand",
"id": 4
}
],
"default_brand": {
"type": "Brand",
"id": 4
},
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
}
},
"parent_retailer": {
"type": "Retailer",
"id": 2
},
"legal_name": "Walmart Inc.",
"dba": "Walmart Marketplace",
"default_duties_payor": "recipient",
"default_shipping_method": "fedex_FEDEX_GROUND",
"allowed_shipping_methods": [
"fedex_FEDEX_GROUND",
"ups_GND"
],
"default_tpb_group_id": 5,
"routing_guide_notes": "<string>",
"custom_fields": {
"is_gift": {
"value": true
},
"order_details": {
"value": "test details"
},
"department": {
"id": 3,
"label": "Shipping"
},
"priority_levels": [
{
"id": 1,
"label": "Urgent"
},
{
"id": 2,
"label": "High"
}
],
"cost_of_goods": {
"amount": 156.99,
"currency": "USD"
},
"assigned_user": {
"value": 42
}
},
"created_at": "2017-07-21T17:32:28Z",
"updated_at": "2017-07-21T17:39:43Z"
}
]
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Get one Retailer
Returns a single Retailer object specified by a retailer id path parameter.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Retailer.
x >= 1Query Parameters
Specify additional fields of the Retailer object to be included in the response.
See the selecting fields page for more information.
basic, all, code, name, status, fulfillment_model, merchant, parent_retailer, legal_name, dba, default_duties_payor, default_shipping_method, allowed_shipping_methods, default_tpb_group_id, routing_guide_notes, custom_fields, created_at, updated_at Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, fulfillment_model, merchant, parent_retailer, legal_name, dba, default_duties_payor, default_shipping_method, allowed_shipping_methods, default_tpb_group_id, routing_guide_notes, custom_fields, created_at, updated_at Response
OK
A Retailer represents a B2B retail partner for a merchant, including fulfillment defaults and retailer-specific custom fields.
Show child attributes
Show child attributes
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.
Show child attributes
Show child attributes
Was this page helpful?